.loading-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #121212;
  z-index: 10000; /* 确保层级在最上方 */
  transition: opacity 0.5s ease;
}

.loading-overlay.hidden {
  opacity: 0;
  pointer-events: none;
}

.loading {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}

.loading canvas {
  width: 150px;
  height: 150px;
  object-fit: contain;
}
